/*
 * Programma che richiede all'utente un numero n di studenti e 
 * per ognuno chiede di inserirne la matricola e l'anno di 
 * corso (1, 2 o 3).
 * Il programma deve stampare il numero di iscritti per ogni 
 * anno di corso.
 * Si supponga che i dati inseriti siano corretti.
 * Variante estesa con l'acquisizione dell'eta' e con il calcolo 
 * dell'eta' media per ogni anno.
 */

import java.util.*;
import java.text.*;

public class IscrittiAnniDiCorsoEsteso {
	public static void main(String[] args){
		
		Scanner tastiera = new Scanner(System.in);
		DecimalFormat df = new DecimalFormat("0.0");
		
		int n, anno, annoI=0, annoII=0, annoIII=0;
		int eta, sommaEtaI=0, sommaEtaII=0, sommaEtaIII=0;
		String matricola;
		
		System.out.println("Programma per il conteggio degli studenti per anno di corso.");
		System.out.print("Quanti studenti si vogliono inserire? ");
		n = tastiera.nextInt();
		for(int i=1; i<=n; i++){
			System.out.println("Inserire i dati dello studente "+i+": ");
			System.out.print("Matricola: ");
			matricola = tastiera.next();
			System.out.print("Inserire l'et: ");
			eta = tastiera.nextInt();
			System.out.print("Anno di corso: ");
			anno = tastiera.nextInt();
			switch(anno){
			case 1: annoI++;
					sommaEtaI += eta;
					break;
			case 2: annoII++;
				    sommaEtaII += eta;
					break;
			case 3: annoIII++;
					sommaEtaIII += eta;
					break;
			default:
				System.out.println("Errore di inserimento anno.");
			}
		}
		System.out.print("Gli iscritti al I anno sono "+annoI);
		if(annoI>0)
			System.out.println(" e l'et media : "+df.format((double)sommaEtaI/annoI));
		else
			System.out.println();
		System.out.print("Gli iscritti al II anno sono "+annoII);
		if(annoII>0)
			System.out.println(" e l'et media : "+df.format((double)sommaEtaII/annoII));
		else
			System.out.println();
		System.out.print("Gli iscritti al III anno sono "+annoIII);
		if(annoIII>0)
			System.out.println(" e l'et media : "+df.format((double)sommaEtaIII/annoIII));
		else
			System.out.println();
		tastiera.close();
	}
}
